#!/usr/bin/perl

use strict;
use CGI;
use CGI::Session;
use Digest::MD5 qw(md5_hex);

require 'config.pl';
require 'lib/cgilib.pl';
require 'lib/user.pl';

my $cgi = CGI->new;

my $uid;
my $name;
my $password;

$name = $cgi->param('name');
$password = $cgi->param('password');

if ($name eq "") {
	error("Empty user name!");
	exit;
}

if ($password eq "") {
	error("Empty password!");
	exit;
}

if ($name =~ /[^A-Za-z0-9]/) {
	error("Invalid user name!");
	exit;
}

if ($password =~ /[^A-Za-z0-9]/) {
	error("Invalid password!");
	exit;
}

$uid = user::get_uid($name);

if ($uid ne "") {
	error("$name is exist!");
	exit;
}

$password = md5_hex($password);
if (user::add($name, $password) < 0) {
	error("Cannot add user!");
	exit;
}

cgilib::header($cgi, "Succeed");
print '<center><h1>';
print "Register $name !";
print '<p>';
print '<a href="login.cgi">Go to Login</a>';
print '</center></h1>';
cgilib::footer($cgi);

sub error {
	my $message;

	($message) = @_;

	cgilib::header($cgi, "Error");
	print '<center><h1>';
	print "$message";
	print '<p>';
	print '<a href="register.cgi">Retry</a>';
	print '</h1></center>';
	cgilib::footer($cgi);
}
