#!/usr/bin/perl

use strict;
use CGI;
use CGI::Session;

require 'config.pl';
require 'lib/cgilib.pl';
require 'lib/session.pl';
require 'lib/user.pl';
require 'lib/question.pl';

my $cgi = CGI->new;
my $session_id;
my $session;

($session_id, $session) = session::check($cgi);

my $uid = $session->param('uid');
my $name = user::get_name($uid);

cgilib::header($cgi, "History");
cgilib::menu($session_id, $name);

print '<center><h3>';
print '<table border=1>';
print '<tr>';
print '<td align=center>Clear Time</td>';
print '<td align=center>Genre</td>';
print '<td align=center>Score</td>';
print '</tr>';

my $qid;
my %clear;
my $t;
my $genre;
my $score;

foreach  $qid (question::clear_list($uid)) {
	$clear{$qid} = question::get_time($uid, $qid);
}

foreach $qid (sort { $clear{$a} <=> $clear{$b} } keys(%clear)) {
	$t = localtime($clear{$qid});
	$genre = question::get_genre($qid);
	$score = question::get_score($qid);
	print '<tr>';
	print "<td align=center>$t</td>";
	print "<td align=center>$genre</td>";
	print "<td align=center>$score</td>";
	print '</tr>';
}

print '</table>';
print '</h3></center>';
cgilib::footer($cgi);
