#!/usr/bin/perl

use strict;
use CGI;
use CGI::Session;

require 'config.pl';
require 'lib/cgilib.pl';
require 'lib/session.pl';
require 'lib/user.pl';
require 'lib/question.pl';

my $cgi = CGI->new;
my $session_id;
my $session;

($session_id, $session) = session::check($cgi);

my $uid = $session->param('uid');
my $name = user::get_name($uid);

my $qid = $cgi->param('qid');

my $genre;
my $score;
my $title;
my $question;
my @answers;

($genre, $score, $title, $question, @answers) = question::readfile($qid);

cgilib::header($cgi, "Question");
cgilib::menu($session_id, $name);

$question =~ s/\n$//;

print "<center><h3><table border=1>";
print "<tr><td align=center>Genre</td><td>$genre</td></tr>";
print "<tr><td align=center>Score</td><td>$score</td></tr>";
print "<tr><td align=center>Title</td><td>$title</td></tr>";
print "<tr><td align=center>Question</td><td><pre>$question</pre></td></tr>";

if (!question::is_clear($uid, $qid)) {
	print "<tr><td align=center>Reply</td><td>";
	print "<form action=\"submit.cgi\" method=\"post\">";
	print "<input type=\"hidden\" name=\"CGISESSID\" value=\"$session_id\">";
	print "<input type=\"hidden\" name=\"qid\" value=\"$qid\">";
	print "<input type=\"text\" name=\"reply\" maxlength=\"128\">";
	print "<input type=\"submit\" value=\"Submit\">";
	print "</form>";
}

print "</td></tr>";
print "</table></h3></center>";

cgilib::footer($cgi);
