#!/usr/bin/perl

use strict;
use CGI;
use CGI::Session;

require 'config.pl';
require 'lib/cgilib.pl';
require 'lib/session.pl';
require 'lib/user.pl';
require 'lib/question.pl';

my $cgi = CGI->new;
my $session_id;
my $session;

($session_id, $session) = session::check($cgi);

my $uid = $session->param('uid');
my $name = user::get_name($uid);

my $qid = $cgi->param('qid');
my $reply = $cgi->param('reply');

if (question::is_clear($uid, $qid)) {
	cgilib::header($cgi, "Error");
	cgilib::menu($session_id, $name);
	print "<center><h2>";
	print "Already Clear!";
	print "</h2></center>";
	cgilib::footer($cgi);
	exit;
}

my $genre;
my $score;
my $title;
my $question;
my @answers;
my $answer;
my $correct;

($genre, $score, $title, $question, @answers) = question::readfile($qid);

question::reply($uid, $qid, $reply);

$correct = 0;
foreach $answer (@answers) {
	if ($answer eq $reply) {
		$correct = 1;
		last;
	}
}

if (!$correct) {
	cgilib::header($cgi, "Incorrect");
	cgilib::menu($session_id, $name);
	print "<center><h2>";
	print "Bad Answer!";
	print "<br><a href=\"question.cgi?CGISESSID=$session_id\&qid=$qid\">Retry</a>";
	print "</h2></center>";
	cgilib::footer($cgi);
	exit;
}

cgilib::header($cgi, "Correct");
cgilib::menu($session_id, $name);
print "<center><h2>";
print "Correct!";
print "</h2></center>";
cgilib::footer($cgi);

question::clear($uid, $qid);
